/* @(#) $Header: interface.h,v 1.3 96/07/15 17:36:07 leres Exp $ (LBL) */

#include "gnuc.h"
#ifdef HAVE_OS_PROTO_H
#include "os-proto.h"
#endif

#define DEFAULT_SNAPLEN 68
#define DEFAULT_COUNT 500

/* Globals */
extern char *program_name;
extern char version[];

/* Packet buffer routines */
extern void pbuf_init(int, int);
extern void pbuf_process(u_char *, const struct pcap_pkthdr *, const u_char *);
extern u_int pbuf_dump(pcap_dumper_t *);

/* Utility routines */
#ifdef NOVFPRINTF
extern int vfprintf(f, fmt, ...) __attribute__((format (printf, 1, 2)));
#endif
extern __dead void error(const char *, ...)
    __attribute__((volatile, format (printf, 1, 2)));
extern char *copy_argv(char **);
extern char *read_infile(char *);
